PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pgtksh

## Name

pgtksh -- PostgreSQL Tcl/Tk shell client

## Synopsis

`pgtksh` [filename [argument...]]

## Description

`pgtksh` is a Tcl/Tk shell interface extended with PostgreSQL database access functions. (Essentially, it is `wish` with `libpgtcl` loaded.) Like with `wish`, the regular Tcl/Tk shell, the first command line argument is a script file, any remaining arguments are passed to the script. Special options may be processed by the X Window System libraries instead. If no script file is named, the shell is interactive.

A plain Tcl shell with PostgreSQL functions is available as pgtclsh.

## See Also

pgtclsh, Chapter 29 (description of `libpgtcl`), tclsh, wish

Prev | Home | Next
pgtclsh | Up | psql